# Interface CullingVolume

interface CullingVolume {
planes: Plane[];
applyMatrix4(matrix: Matrix4): void;
clone(): CullingVolume;
computeVisibility(boundingVolume: BoundingVolume): VolumePlaneIntersect;
computeVisibilityWithPlaneMask(
boundingVolume: BoundingVolume,
parentPlaneMask: number,
): number;
copy(cullingVolume: CullingVolume): CullingVolume;
setFromCamera(camera: Camera): CullingVolume;
setFromFrustum(frustum: Frustum): this;
}

- Defined in lib/five/utils/volume.ts:41

##### Index

### Properties

planes

### Methods

applyMatrix4
clone
computeVisibility
computeVisibilityWithPlaneMask
copy
setFromCamera
setFromFrustum

## Properties

### planes

planes: Plane[]

- Defined in lib/five/utils/volume.ts:57

## Methods

### applyMatrix4

- applyMatrix4(matrix: Matrix4): void

  #### Parameters

  - matrix: Matrix4

  #### Returns void

  - Defined in lib/five/utils/volume.ts:75

### clone

- clone(): CullingVolume

  #### Returns CullingVolume

  - Defined in lib/five/utils/volume.ts:86

### computeVisibility

- computeVisibility(boundingVolume: BoundingVolume): VolumePlaneIntersect

  #### Parameters

  - boundingVolume: BoundingVolume

  #### Returns VolumePlaneIntersect

  - Defined in lib/five/utils/volume.ts:90

### computeVisibilityWithPlaneMask

- computeVisibilityWithPlaneMask(
  boundingVolume: BoundingVolume,
  parentPlaneMask: number,
  ): number

  #### Parameters

  - boundingVolume: BoundingVolume
  - parentPlaneMask: number

  #### Returns number

  - Defined in lib/five/utils/volume.ts:115

### copy

- copy(cullingVolume: CullingVolume): CullingVolume

  #### Parameters

  - cullingVolume: CullingVolume

  #### Returns CullingVolume

  - Defined in lib/five/utils/volume.ts:81

### setFromCamera

- setFromCamera(camera: Camera): CullingVolume

  #### Parameters

  - camera: Camera

  #### Returns CullingVolume

  - Defined in lib/five/utils/volume.ts:68

### setFromFrustum

- setFromFrustum(frustum: Frustum): this

  #### Parameters

  - frustum: Frustum

  #### Returns this

  - Defined in lib/five/utils/volume.ts:63